odf.odf2moinmoin.ODF2MoinMoin Class Reference
Inheritance diagram for odf.odf2moinmoin.ODF2MoinMoin:
[legend]
Collaboration diagram for odf.odf2moinmoin.ODF2MoinMoin:
[legend]

## Public Member Functions

def | __init__ (self, filepath)
def | processFontDeclarations (self, fontDecl)
| Extracts necessary font information from a font-declaration element. More...
def | extractTextProperties (self, style, parent=None)
| Extracts text properties from a style element. More...
def | extractParagraphProperties (self, style, parent=None)
| Extracts paragraph properties from a style element. More...
def | processStyles (self, styleElements)
| Runs through "style" elements extracting necessary information. More...
def | processListStyles (self, listStyleElements)
def | load (self, filepath)
| Loads an ODT file. More...
def | compressCodeBlocks (self, text)
| Removes extra blank lines from code blocks. More...
def | do_nothing (self, node)
def | draw_image (self, node)
def | text_a (self, node)
def | text_line_break (self, node)
def | text_note (self, node)
def | text_s (self, node)
def | text_tab (self, node)
def | inline_markup (self, node)
def | listToString (self, listElement, indent=0)
def | tableToString (self, tableElement)
| MoinMoin uses || to delimit table cells. More...
def | toString (self)
| Converts the document to a string. More...
def | textToString (self, element)
def | paragraphToString (self, paragraph, indent=0)
def | wrapParagraph (self, text, indent=0, blockquote=False)

## Public Attributes

| footnotes
| footnoteCounter
| textStyles
| paragraphStyles
| listStyles
| fixedFonts
| hasTitle
| lastsegment
| elements
| content

## Detailed Description

Definition at line 148 of file odf2moinmoin.py.

## Constructor & Destructor Documentation

## __init__()

def odf.odf2moinmoin.ODF2MoinMoin.__init__ | ( |  | self,
|  |  | filepath
| ) |  |

Definition at line 151 of file odf2moinmoin.py.

## Member Function Documentation

## compressCodeBlocks()

def odf.odf2moinmoin.ODF2MoinMoin.compressCodeBlocks | ( |  | self,
|  |  | text
| ) |  |

Removes extra blank lines from code blocks.

Definition at line 318 of file odf2moinmoin.py.

Here is the caller graph for this function:

## do_nothing()

def odf.odf2moinmoin.ODF2MoinMoin.do_nothing | ( |  | self,
|  |  | node
| ) |  |

Definition at line 334 of file odf2moinmoin.py.

## draw_image()

def odf.odf2moinmoin.ODF2MoinMoin.draw_image | ( |  | self,
|  |  | node
| ) |  |

Definition at line 340 of file odf2moinmoin.py.

## extractParagraphProperties()

def odf.odf2moinmoin.ODF2MoinMoin.extractParagraphProperties | ( |  | self,
|  |  | style,
|  |  | parent = `None`
| ) |  |

Extracts paragraph properties from a style element.

Definition at line 221 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## extractTextProperties()

def odf.odf2moinmoin.ODF2MoinMoin.extractTextProperties | ( |  | self,
|  |  | style,
|  |  | parent = `None`
| ) |  |

Extracts text properties from a style element.

Definition at line 194 of file odf2moinmoin.py.

Here is the caller graph for this function:

## inline_markup()

def odf.odf2moinmoin.ODF2MoinMoin.inline_markup | ( |  | self,
|  |  | node
| ) |  |

Definition at line 379 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## listToString()

def odf.odf2moinmoin.ODF2MoinMoin.listToString | ( |  | self,
|  |  | listElement,
|  |  | indent = `0`
| ) |  |

Definition at line 410 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## load()

def odf.odf2moinmoin.ODF2MoinMoin.load | ( |  | self,
|  |  | filepath
| ) |  |

Loads an ODT file.

Definition at line 297 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## paragraphToString()

def odf.odf2moinmoin.ODF2MoinMoin.paragraphToString | ( |  | self,
|  |  | paragraph,
|  |  | indent = `0`
| ) |  |

Definition at line 530 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## processFontDeclarations()

def odf.odf2moinmoin.ODF2MoinMoin.processFontDeclarations | ( |  | self,
|  |  | fontDecl
| ) |  |

Extracts necessary font information from a font-declaration element.

Definition at line 185 of file odf2moinmoin.py.

Here is the caller graph for this function:

## processListStyles()

def odf.odf2moinmoin.ODF2MoinMoin.processListStyles | ( |  | self,
|  |  | listStyleElements
| ) |  |

Definition at line 279 of file odf2moinmoin.py.

Here is the caller graph for this function:

## processStyles()

def odf.odf2moinmoin.ODF2MoinMoin.processStyles | ( |  | self,
|  |  | styleElements
| ) |  |

Runs through "style" elements extracting necessary information.

Definition at line 260 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## tableToString()

def odf.odf2moinmoin.ODF2MoinMoin.tableToString | ( |  | self,
|  |  | tableElement
| ) |  |

MoinMoin uses || to delimit table cells.

Definition at line 445 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## text_a()

def odf.odf2moinmoin.ODF2MoinMoin.text_a | ( |  | self,
|  |  | node
| ) |  |

Definition at line 349 of file odf2moinmoin.py.

Here is the call graph for this function:

## text_line_break()

def odf.odf2moinmoin.ODF2MoinMoin.text_line_break | ( |  | self,
|  |  | node
| ) |  |

Definition at line 358 of file odf2moinmoin.py.

## text_note()

def odf.odf2moinmoin.ODF2MoinMoin.text_note | ( |  | self,
|  |  | node
| ) |  |

Definition at line 361 of file odf2moinmoin.py.

Here is the call graph for this function:

## text_s()

def odf.odf2moinmoin.ODF2MoinMoin.text_s | ( |  | self,
|  |  | node
| ) |  |

Definition at line 369 of file odf2moinmoin.py.

## text_tab()

def odf.odf2moinmoin.ODF2MoinMoin.text_tab | ( |  | self,
|  |  | node
| ) |  |

Definition at line 376 of file odf2moinmoin.py.

## textToString()

def odf.odf2moinmoin.ODF2MoinMoin.textToString | ( |  | self,
|  |  | element
| ) |  |

Definition at line 500 of file odf2moinmoin.py.

Here is the call graph for this function:
Here is the caller graph for this function:

## toString()

def odf.odf2moinmoin.ODF2MoinMoin.toString | ( |  | self | ) |

Converts the document to a string.

FIXME: Result from second call differs from first call

Definition at line 467 of file odf2moinmoin.py.

Here is the call graph for this function:

## wrapParagraph()

def odf.odf2moinmoin.ODF2MoinMoin.wrapParagraph | ( |  | self,
|  |  | text,
|  |  | indent = `0`,
|  |  | blockquote = `False`
| ) |  |

Definition at line 569 of file odf2moinmoin.py.

Here is the caller graph for this function:

## Member Data Documentation

## content

odf.odf2moinmoin.ODF2MoinMoin.content

Definition at line 308 of file odf2moinmoin.py.

## elements

odf.odf2moinmoin.ODF2MoinMoin.elements

Definition at line 162 of file odf2moinmoin.py.

## fixedFonts

odf.odf2moinmoin.ODF2MoinMoin.fixedFonts

Definition at line 157 of file odf2moinmoin.py.

## footnoteCounter

odf.odf2moinmoin.ODF2MoinMoin.footnoteCounter

Definition at line 153 of file odf2moinmoin.py.

## footnotes

odf.odf2moinmoin.ODF2MoinMoin.footnotes

Definition at line 152 of file odf2moinmoin.py.

## hasTitle

odf.odf2moinmoin.ODF2MoinMoin.hasTitle

Definition at line 158 of file odf2moinmoin.py.

## lastsegment

odf.odf2moinmoin.ODF2MoinMoin.lastsegment

Definition at line 159 of file odf2moinmoin.py.

## listStyles

odf.odf2moinmoin.ODF2MoinMoin.listStyles

Definition at line 156 of file odf2moinmoin.py.

## paragraphStyles

odf.odf2moinmoin.ODF2MoinMoin.paragraphStyles

Definition at line 155 of file odf2moinmoin.py.

## textStyles

odf.odf2moinmoin.ODF2MoinMoin.textStyles

Definition at line 154 of file odf2moinmoin.py.

The documentation for this class was generated from the following file:

- odf/odf2moinmoin.py